View Issue Details

IDProjectCategoryView StatusLast Update
12605Bug reports[All Projects] Survey participants (Tokens)public2019-04-30 09:10
ReporterolleharAssigned Todominikvitt 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version2.67.x 
Target VersionFixed in Version3.14.x 
Summary12605: Redirect bug when creating dummy participant with mandatory attribute
Description

Title.

Steps To Reproduce
  1. Create token table
  2. Create mandatory attribute
  3. Create dummy tokens without filling in mandatory attribute field
  4. Click save
  5. Redirect error
TagsNo tags attached.
Complete LimeSurvey version number (& build)latest
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Version-
Server OS (if known)-
Webserver software & version (if known)-
PHP Version-

Activities

LouisGac

LouisGac

2018-05-23 11:55

manager   ~47763

olle, can you confirm it sill happens in LS3?

dominikvitt

dominikvitt

2018-08-31 13:15

developer   ~48923

This issue is still happening in the latest version of LS3.

guest

guest

2018-09-03 14:43

viewer   ~48934

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27887

Related Changesets

LimeSurvey: master dff62fe4

2018-09-03 14:43:01

Dominik Vitt

Details Diff
Fixed issue 12605: Redirect bug when creating dummy participant with mandatory attribute Affected Issues
12605
mod - application/controllers/admin/tokens.php Diff File
mod - application/views/admin/token/dummytokenform.php Diff File

Issue History

Date Modified Username Field Change
2017-08-17 15:17 ollehar New Issue
2018-05-23 11:55 LouisGac Assigned To => LouisGac
2018-05-23 11:55 LouisGac Status new => feedback
2018-05-23 11:55 LouisGac Note Added: 47763
2018-05-23 11:55 LouisGac Assigned To LouisGac => ollehar
2018-08-31 13:15 dominikvitt Note Added: 48923
2018-08-31 14:09 ollehar Assigned To ollehar =>
2018-08-31 14:09 ollehar Status feedback => new
2018-08-31 14:21 dominikvitt Assigned To => dominikvitt
2018-08-31 14:21 dominikvitt Status new => assigned
2018-09-03 14:43 Changeset attached => LimeSurvey master dff62fe4
2018-09-03 14:43 guest Note Added: 48934
2018-09-03 14:43 guest Resolution open => fixed
2018-09-03 14:44 dominikvitt Status assigned => resolved
2018-09-03 14:44 dominikvitt Fixed in Version => 3.14.x
2019-04-30 09:10 c_schmitz Status resolved => closed